package com.xhpc.activity.mapper;

import com.xhpc.common.domain.XhpcChargingPile;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author yuyang
 * @date 2021/7/27 14:37
 */
public interface XhpcChargingPileMapper {


    /**
     * 桩列表
     *
     */
    List<Map<String, Object>> selectXhpcChargingPileList(@Param("params")Map params);

    /**
     * 获取登陆用户信息
     */
    Map<String, Object> getLandUser(@Param("userId")Long userId);

    /**
     * 终端
     *
     * @param xhpcChargingPile 终端
     * @return 结果
     */
    int addXhpcChargingPile(XhpcChargingPile xhpcChargingPile);


    /**
     * 查询电站
     *
     * @param chargingStationId 电站ID
     * @return 电站
     */
    Map<String, Object> selectXhpcChargingStationById(Long chargingStationId);

    /**
     * 查询桩
     *
     * @param chargingPileId 终端ID
     * @return 电站
     */
    XhpcChargingPile selectXhpcChargingPileById(Long chargingPileId);

    /**
     * 终端列表
     *
     * @param chargingPileId 桩id
     * @return
     */
    List<Map<String, Object>> selectXhpcTerminalList(@Param("chargingPileId") Long chargingPileId);


    XhpcChargingPile getXhpcChargingPileBySerialNumber(@Param("serialNumber") String serialNumber);

    List<XhpcChargingPile> selectByStationId(@Param("stationId") String stationId);
}
